Выделенный сервер, VPS, VDS, хостинг в Германии, Голландии
Войти в панель
RUB | USD

Конфигурация PHP

Для того, чтобы внести изменения в конфигурацию PHP, необходимо зайти в созданный аккаунт либо с паролем пользователя, либо с правами реселлера.

 

На текущий момент на хостинг-сервере для реселлер-аккаунтов доступны к использованию следующие версии PHP (по состоянию на 23.04.2014):

1) PHP 4.4 - эта версия УЖЕ не поддерживается разработчиками с 07.08.2008. Для неё нет исправлений ошибок и не выпускаются обновления.

2) PHP 5.1 - эта версия УЖЕ не поддерживается разработчиками с 24.08.2006. Для неё нет исправлений ошибок и не выпускаются обновления.

3) PHP 5.2 - эта версия УЖЕ не поддерживается разработчиками с 06.01.2011. Для неё нет исправлений ошибок и не выпускаются обновления.

4) PHP 5.3 - для этой версии выпускаются ТОЛЬКО исправления, связанные с безопасностью. Поддержка разработчиками будет прекращена в июле 2014 г.

5) PHP 5.4 - для этой версии выпускаются исправления ошибок. Поддержка разработчиками будет прекращена с 01.03.2015.

6) PHP 5.5 - для этой версии выпускаются исправления ошибок. Поддержка разработчиками будет прекращена с 20.06.2016.

7) PHP 5.6 - для этой версии производится разработка нового функционала. По состоянию на 11.04.2014 была выпущена версия 5.6.0beta1. Внимание! Это бета-версия!

 

Внимание! Выбор версии PHP отражается на всём аккаунте, т.е. нельзя выбрать другую версию PHP для отдельного домена.

В панели управления cPanel (интерфейс конечного пользовател) выберите пункт меню "Select PHP version" в разделе "Software/Services".

В выпадающем списке выберите нужную версию PHP и нажмите кнопку "Set as current".

На этой же странице Вы можете выбрать требуемые Вам модули PHP и сохранить изменения с помощью кнопки "Save".

На этой же странице Вы можете перейти на вторую вкладку по ссылке "Switch to PHP-settings". На второй вкладке есть возможность изменять определенные php-директивы.

 

Внимание! Периодически на определенных версиях PHP могут проявиться баги с модулями. Если что то не работает по непонятным причинам, попробуйте отключить неиспользуемые модули.

На данный момент известна проблема с одновременной работой модулей zend optimizer и opcache. При включении сервер случайным образом отдает ошибку HTTP 500.

Поддержка работает круглосуточно
Поддержка
Работает круглосуточно
Доступен IPv4 и IPv6
Канал в сеть
Доступен IPv4 и IPv6
Новое и современное оборудование
Оборудование
Новое и современное